<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0; $idin = $sesion->id;
   
 //seleccionar id y nombre del centro de distribucion
  $qp = "select  nombre from usuarios_ci where idusuarios_ci='$idin'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp = mysqli_fetch_object($cp);	
		$centro = $rp->nombre;
	//Seleccionar datos del distribuidor
   $qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus, idprom FROM inversionista WHERE rfc = '".$_POST['rfcpr']."'";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))
   {
       	
   	$ra = mysqli_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;
    $idp = $ra->idprom;
    if($estatus == 1)
    {
		//ver si el distribuidor tiene regalias
		$qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id and status=0";
     		 $cC3 = mysqli_query($conexion, $qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysqli_error($conexion));
			  if(mysqli_affected_rows($conexion))		{$conregs=1;
		}else{		$conregs=0;}
		
		$nombrecompleto = $nombre." ".$apat." ".$amat;
		//mostrar datos de distribuidor
		echo "<html>";
		echo "<head> </head>";
 		echo "<body><center><font size=\"+4\"><b>Inscripciones</b></font><br>
 		";
  		echo "<form name='f1' action='insc3.php' method='post'>";	
 		echo "<table>
		<tR><td bgcolor=\"#006633\"><font color=\"#ffffff\"><b>R.F.C.</b></font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr>
		<tR><td bgcolor=\"#006633\"><font color=\"#ffffff\"><b>Nombre.</b></font></td><td bgcolor=\"#CCFFCC\">$nombre $apat $amat</td></tr>
		</table><br>
		";      
		//revisar si es su primera compra  
   $qa1 = "SELECT idtransacciones from transacciones where inversionista_id_inver=$id";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
            if(!mysqli_affected_rows($conexion))
   {            echo" <font color=\"red\"><b>Esta es la primera compra de este usuario, es necesario hacer la venta<br>
   por alg&uacute;n Kit de Inscripci&oacute;n de lo contrario esta compra no ser&aacute; v&aacute;lida</b></font><br><br>  ";
   }
		
		if($idin==6 || $idin==10 || $idin==1 ||  $idin==9){
			echo"<table><tr><td><font size=\"+2\">Centro de Entrega:</font></td><td><select name = \"entrega\">
			<option value=\"$idin\">$idin $centro</option>
			<option value=\"12\">12 Almacen General</option>
			<option value=\"8\">8 Almacen GDL</option>
			<option value=\"35\">35 Evento</option>
			</td></tr></table><bR>";
			
		}else
		{echo"<table><tr><td>Centro de Entrega:</td><td><b>$idin $centro</b>
			<input type=hidden name=entrega value=\"$idin\"></td></tr></table><br>";}
		
		//seleccionar formas de pago
		echo "<b>Forma de pago:<br> </b><bR><table cellpadding=\"8\"  >";
		
		//Pago en efectivo
		echo"<tr bgcolor=\"#CCFFCC\">
		<td><input type='radio' name='pago' value='1' CHECKED><b>Efectivo</b></td><td><img src=\"efect.gif\" width=\"200\" height=\"35\"></td>
		<td></td></tr>";
		
		//Pago con deposito en banco
		echo"<tr bgcolor=\"#CCFFCC\"><td><input type='radio' name='pago' value='2'><b>Deposito</b></td><td><img src=\"depositos.gif\" width=\"200\" height=\"35\"></td>
		<td><select name = \"banco\">
				<option value=\"1\">ScotiaBank</option>
				<option value=\"2\">Santander</option>
				<option value=\"3\">HSBC</option>
				<option value=\"0\">Otro</option>
			</select>&nbsp; Ref: <input type=\"text\" name=folio size=\"8\" ></td></tr>
		<tr bgcolor=\"#CCFFCC\"><td><input type='radio' name='pago' value='3'><b>Tarjeta</b></td><td><img src=\"tarjetas.gif\" width=\"200\" height=\"35\"></td
		><td></td></tr>
		"; 
		
		//pago con voucher
		echo"<tr bgcolor=\"#CCFFCC\"><td><input type='radio' name='pago' value='6'><b>Voucher</b></td><td><img src=\"voucherpago.gif\" width=\"200\" height=\"35\"></td>
		<td>Voucher No.<input type='text' size='10' maxlength='10' name='voucher' value=''></td></tr>";
		
		//pago pendiente por pagar
		echo"<tr bgcolor=\"#CCFFCC\"><td><input type='radio' name='pago' value='4'><b>Por pagar</b></td><td><img src=\"porpagar.gif\" width=\"200\" height=\"35\"></td>
		<td>Autorizaci&oacute;n<input type='text' size='10' maxlength='10' name='autorizar' value=''></td></tr>
		</table>";
		
			  $q2 = "select id_promo, promodesc, precio, puntos, prodmix from promod where tipo_promo=1 and activa=1";
  
  $cr2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><b><br>Lista de Inscripciones en Sistema</b><br><br></font><table border=\"1\"> <tr>
			<th></th><th>Id Insc</th><th>Descripcion</th><th>Productos</th><th>Regalo Patrocinador</th><th>Prod Mixtos</th>
			</tr>";
  while($r1 = mysqli_fetch_row($cr2))

   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 $a4 = $r1[4];
	  
	  
	  
echo"<tr><tD><input type='radio' name='prod' value='$a0'></td><td align=\"center\">$a0</td><td align=\"center\">$a1<br>Precio: $$a2<br>Puntos: $a3</td>";

  $q21 = "select idprod, cant, nombreProd from promo join productos on promo.idprod=productos.id_prod where promo.promo=$a0 and tipo_prod=1";
  
  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
 echo"<td align=\"center\">";
  for($k=0;$r11 = mysqli_fetch_row($c21);$k++)
   {
	   $b0 = $r11[0];
	   $b1 = $r11[1];
	   $b2 = $r11[2];
	 
	 echo"$b1 $b2<br>";
	 }

echo"</td>";

  $q22 = "select idprod, cant, nombreProd from promo join productos on promo.idprod=productos.id_prod where promo.promo=$a0 and tipo_prod=2";
  
  $c22 = mysqli_query($conexion, $q22) or die ('Error en la consulta' . mysqli_error($conexion));
 echo"<td align=\"center\">";
  for($h=0;$r12 = mysqli_fetch_row($c22);$h++)
   {
	   $c0 = $r12[0];
	   $c1 = $r12[1];
	   $c2 = $r12[2];
	 
	 echo"$c1 $c2<br>";
	 }

echo"</td>";
$q223 = "select prodmix.id_prod, prodmix.precio, nombreProd from prodmix join productos on prodmix.id_prod=productos.id_prod where prodmix.promo_idpromo=$a0";
  $c223 = mysqli_query($conexion, $q223) or die ('Error en la consulta' . mysqli_error($conexion));
 echo"<td align=\"center\">Total Prod Mixtos: $a4<table border=1>";
  for($h=0;$r123 = mysqli_fetch_row($c223);$h++)
   {
	   $d0 = $r123[0];
	   $d1 = $r123[1];
	   $d2 = $r123[2];
	 
	 echo"<tr><td>$d2</td><td>$ $d1</td></tr>";
	 }

echo"</table></td></tr>";
	}
	echo"</table><br>";
		
		
		
		
	
      
		echo "<input type='submit' value='Continuar'><br><br>";
		echo "<input type='hidden' name='idinv' value='$id'><input type='hidden' name='prodmix' value='$a4'><input type='hidden' name='prom' value='$idp'>
		<input type='hidden' name='nombreinv' value='$nombrecompleto'><input type='hidden' name='idcent' value='$centro'>";
		echo "";
  		echo "</form>";
 		echo "</body>";
		echo "</html>";
    }
    else 
    {//en caso de que el distribuidor se encuentre bloqueado
     echo "<html>";
   	 echo "<head><meta http-equiv='Refresh' content='5;URL=javascript: history.go(-1)'></head>";
     echo "<center>";
   	 echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   	 echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   	 echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'> EL CLIENTE QUE ESCRIBISTE NO HA SIDO ACEPTADO O HA SIDO BLOQUEADO, CONSULTA A UN ADMINISTRADOR.</label>";
     echo "<br /><br />Pulsa <a onclick='javascript: history.go(-1)' style='cursor:pointer; color:#5C3C12'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";  	
   	 echo "</form>";
   	 echo "</div>";
     echo "</center>";
     echo "</html>";	
    }

   }
   else
   {//en caso que el rfc no exista
   	echo "<html>";
   	echo "<head><meta http-equiv='Refresh' content='3;URL=javascript: history.go(-1)'></head>";
    echo "<center>";
   	echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   	echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   	echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'> EL RFC QUE INGRESASTE NO FUE ENCONTRADO FAVOR DE VERIFICARLO.</label>";
    echo "<br /><br />Pulsa <a onclick='javascript: history.go(-1)' style='cursor:pointer; color:#5C3C12'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";
   	
   	echo "</form>";
   	echo "</div>";
    echo "</center>";
    echo "</html>";
   }
?>